Issue 120703 - [testuno] - insert, delete of page break and line break
[testuno] - insert, delete of page break and line break
Status: CLOSED FIXED
Product: QA
Classification: Unclassified
Component: testscripts
OOo 3.4 Beta
All All
: P3 normal
: 4.0.0
Assigned To: automat
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 10:45 UTC by xiao ting xiao
Modified: 2013-07-11 14:50 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
page break and line break test (6.20 KB, patch)
2012-08-24 10:45 UTC, xiao ting xiao
no flags Details | Diff
check page break and line break (17.79 KB, patch)
2012-08-26 08:39 UTC, xiao ting xiao
no flags Details | Diff
check page break and line break (17.79 KB, patch)
2012-08-27 01:18 UTC, xiao ting xiao
no flags Details | Diff
the one based on latest version (18.31 KB, patch)
2012-08-27 02:47 UTC, xiao ting xiao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description xiao ting xiao 2012-08-24 10:45:27 UTC
Created attachment 79128 [details]
page break and line break test

three parts:
1. update DocumentTest.java
   add testCloseDocument
2. update SWUtil.java
   add 2 methods: insertPageBreak and getPageCount
3. add CheckBreaks.java
   add 2 test case: testInsertDeleteLineBreak and testInsertDeletePageBreak
Comment 1 xiao ting xiao 2012-08-26 08:39:39 UTC
Created attachment 79147 [details]
check page break and line break

sorry, I forgot the new java file
Comment 2 xiao ting xiao 2012-08-27 01:18:11 UTC
Created attachment 79152 [details]
check page break and line break

add CheckBreaks.java
Comment 3 aliuzhe 2012-08-27 02:40:00 UTC
The patch has code conflict. Pls recreate it basing on the latest code revision
Comment 4 xiao ting xiao 2012-08-27 02:47:35 UTC
Created attachment 79154 [details]
the one based on latest version
Comment 5 SVN Robot 2012-08-27 03:32:13 UTC
"liuzhe" committed SVN revision 1377561 into trunk:
#120703 - [testuno] - insert, delete of page break and line breakPatch by: Xi...
Comment 6 xiao ting xiao 2012-08-28 02:22:14 UTC
code commit